Freeciv-3.1: fc_client Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Data Fields | Protected Slots | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes
fc_client Class Reference

`#include <fc_client.h>`

Inheritance diagram for fc_client:

## Public Slots

void | switch_page (int i)
void | popup_client_options ()
void | update_info_label ()
void | quit ()

## Signals

void | keyCaught (QKeyEvent *e)

## Public Member Functions

| fc_client ()
| ~fc_client ()
void | fc_main (QApplication *qapp)
void | add_server_source (int)
void | remove_server_source ()
bool | event (QEvent *event)
enum client_pages | current_page ()
void | set_status_bar (QString str, int timeout=2000)
int | add_game_tab (QWidget *widget)
void | rm_game_tab (int index)
void | update_start_page ()
void | toggle_unit_sel_widget (struct tile *ptile)
void | update_unit_sel ()
void | popdown_unit_sel ()
void | popup_tile_info (struct tile *ptile)
void | popdown_tile_info ()
void | set_diplo_dialog (choice_dialog *widget)
void | handle_authentication_req (enum authentication_type type, const char *message)
choice_dialog * | get_diplo_dialog ()
void | update_sidebar_position ()
void | apply_fullscreen ()
void | gimme_place (QWidget *widget, QString str)
int | gimme_index_of (QString str)
void | remove_repo_dlg (QString str)
bool | is_repo_dlg_open (QString str)
void | write_settings ()
bool | is_closing ()
void | update_sidebar_tooltips ()
void | reload_sidebar_icons ()
void | update_fonts ()

## Data Fields

map_view * | mapview_wdg
fc_sidebar * | sidebar_wdg
minimap_view * | minimapview_wdg
mr_idle | mr_idler
QWidget * | central_wdg
mr_menu * | menu_bar
fc_corner * | corner_wid
fc_game_tab_widget * | game_tab_widget
messagewdg * | msgwdg
info_tab * | infotab
pregamevote * | pre_vote
units_select * | unit_sel
xvote * | x_vote
goto_dialog * | gtd
QCursor * | fc_cursors [CURSOR_LAST][NUM_CURSOR_FRAMES]
pregame_options * | pr_options
fc_settings | qt_settings
trade_generator | trade_gen
qfc_rally_list | rallies
hud_units * | unitinfo_wdg
hud_battle_log * | battlelog_wdg
bool | interface_locked
fc_sidewidget * | sw_cunit
fc_sidewidget * | sw_science
fc_sidewidget * | sw_endturn
fc_sidewidget * | sw_indicators
fc_sidewidget * | sw_diplo
float | map_scale
bool | map_font_scale
QMenu * | page_submenu_AI
QMenu * | page_submenu_team

## Protected Slots

void | slot_selection_changed (const QItemSelection &, const QItemSelection &)

## Protected Member Functions

void | timerEvent (QTimerEvent *)
void | closeEvent (QCloseEvent *event)

## Private Slots

void | send_fake_chat_message (const QString &message)
void | server_input (int sock)
void | closing ()
void | slot_lan_scan ()
void | slot_meta_scan ()
void | slot_connect ()
void | slot_disconnect ()
void | slot_pregame_observe ()
void | slot_pregame_start ()
void | update_network_lists ()
void | start_page_menu (QPoint)
void | slot_pick_nation ()
void | start_new_game ()
void | start_scenario ()
void | start_from_save ()
void | browse_saves ()
void | browse_scenarios ()
void | clear_status_bar ()
void | state_preview (int)

## Private Member Functions

void | chat_message_received (const QString &message, const struct text_tag_list *tags)
void | create_main_page ()
void | create_network_page ()
void | create_load_page ()
void | create_scenario_page ()
void | create_start_page ()
void | create_game_page ()
void | create_loading_page ()
bool | chat_active_on_page (enum client_pages)
void | destroy_server_scans (void)
void | update_server_list (enum server_scan_type sstype, const struct server_list *list)
bool | check_server_scan (server_scan *scan_data)
void | update_load_page (void)
void | create_cursors (void)
void | delete_cursors (void)
void | update_scenarios_page (void)
void | set_connection_state (enum connection_state state)
void | update_buttons ()
void | init ()
void | read_settings ()
Private Member Functions inherited from chat_listener
| chat_listener ()
virtual void | chat_word_list_changed (const QStringList &cmplt_word_list)
void | send_chat_message (const QString &message)
int | position_in_history ()
QString | back_in_history ()
QString | forward_in_history ()
void | reset_history_position ()
QStringList | current_word_list ()
Private Member Functions inherited from listener< chat_listener >
| listener ()
virtual | ~listener ()
void | listen ()

## Private Attributes

QWidget * | main_wdg
QWidget * | pages [(int) PAGE_GAME+2]
QWidget * | connect_lan
QWidget * | connect_metaserver
QWidget * | game_main_widget
QGridLayout * | pages_layout [PAGE_GAME+2]
QStackedLayout * | central_layout
QTextEdit * | output_window
QTextEdit * | scenarios_view
QLabel * | scenarios_text
QLabel * | load_save_text
QLabel * | load_pix
QCheckBox * | show_preview
QLineEdit * | connect_host_edit
QLineEdit * | connect_port_edit
QLineEdit * | connect_login_edit
QLineEdit * | connect_password_edit
QLineEdit * | connect_confirm_password_edit
QPushButton * | button
QPushButton * | obs_button
QPushButton * | start_button
QPushButton * | nation_button
QDialogButtonBox * | button_box
QSocketNotifier * | server_notifier
chat_input * | chat_line
QTableWidget * | lan_widget
QTableWidget * | wan_widget
QTableWidget * | info_widget
QTableWidget * | saves_load
QTableWidget * | scenarios_load
QTreeWidget * | start_players_tree
QTimer * | meta_scan_timer
QTimer * | lan_scan_timer
QTimer * | update_info_timer
QStatusBar * | status_bar
QLabel * | status_bar_label
info_tile * | info_tile_wdg
choice_dialog * | opened_dialog
fc_sidewidget * | sw_map
fc_sidewidget * | sw_cities
fc_sidewidget * | sw_tax
fc_sidewidget * | sw_economy
enum client_pages | page
QMap< QString, QWidget * > | opened_repo_dlgs
QStringList | status_bar_queue
QString | current_file
bool | send_new_aifill_to_server
bool | quitting

## Additional Inherited Members

Private Types inherited from listener< chat_listener >
typedef chat_listener | type_t
Static Private Member Functions inherited from chat_listener
static void | update_word_list ()
Static Private Member Functions inherited from listener< chat_listener >
static void | invoke (_member_fct_ function)
static void | invoke (_member_fct_ function, _arg1_t_ arg)
static void | invoke (_member_fct_ function, _arg1_t_ arg1, _arg2_t_ arg2)
Static Private Attributes inherited from chat_listener
static const int | HISTORY_END = -1

## Detailed Description

Definition at line 168 of file fc_client.h.

## Constructor & Destructor Documentation

## ◆ fc_client()

fc_client::fc_client | ( |  | ) |

Constructor

Somehow freeciv-client-common asks to switch to page when all widgets haven't been created yet by Qt, even constructor finished job, so we null all Qt objects, so while switching we will know if they were created. After adding new QObjects null them here.

Definition at line 70 of file fc_client.cpp.

Referenced by qtg_ui_main().

## ◆ ~fc_client()

fc_client::~fc_client | ( |  | ) |

Destructor

Definition at line 244 of file fc_client.cpp.

## Member Function Documentation

## ◆ add_game_tab()

int fc_client::add_game_tab | ( | QWidget * | widget | ) |

Inserts tab widget to game view page

Definition at line 797 of file pages.cpp.

Referenced by create_game_page().

## ◆ add_server_source()

void fc_client::add_server_source | ( | int | sock | ) |

Add notifier for server input

Definition at line 449 of file fc_client.cpp.

Referenced by qtg_add_net_input().

## ◆ apply_fullscreen()

void fc_client::apply_fullscreen | ( |  | ) |

Apply current fullscreen option

Definition at line 426 of file fc_client.cpp.

Referenced by apply_fullscreen(), and switch_page().

## ◆ browse_saves

void fc_client::browse_saves | ( | void |  | ) |

privateslot

Browse saves directory

Definition at line 817 of file pages.cpp.

Referenced by create_load_page().

## ◆ browse_scenarios

void fc_client::browse_scenarios | ( | void |  | ) |

privateslot

Browse scenarios directory

Definition at line 851 of file pages.cpp.

Referenced by create_scenario_page().

## ◆ chat_active_on_page()

bool fc_client::chat_active_on_page | ( | enum client_pages | check | ) |

private

Return whether chatline should be active on page.

Definition at line 323 of file fc_client.cpp.

## ◆ chat_message_received()

void fc_client::chat_message_received | ( | const QString & | message,
|  | const struct text_tag_list * | tags
| ) |  |

privatevirtual

Appends text to chat window

Reimplemented from chat_listener.

Definition at line 306 of file fc_client.cpp.

## ◆ check_server_scan()

bool fc_client::check_server_scan | ( | server_scan * | scan_data | ) |

private

This function updates the list of servers every so often.

Definition at line 1031 of file pages.cpp.

Referenced by slot_lan_scan(), and slot_meta_scan().

## ◆ clear_status_bar

void fc_client::clear_status_bar | ( |  | ) |

privateslot

Clears status bar or shows next message in queue if exists

Definition at line 453 of file pages.cpp.

Referenced by clear_status_bar(), and set_status_bar().

## ◆ closeEvent()

void fc_client::closeEvent | ( | QCloseEvent * | event | ) |

protected

Closes main window

Definition at line 483 of file fc_client.cpp.

## ◆ closing

void fc_client::closing | ( |  | ) |

privateslot

Called when fc_client is going to quit

Definition at line 290 of file fc_client.cpp.

Referenced by fc_main().

## ◆ create_cursors()

void fc_client::create_cursors | ( | void |  | ) |

private

Setup cursors

Definition at line 890 of file fc_client.cpp.

Referenced by init().

## ◆ create_game_page()

void fc_client::create_game_page | ( |  | ) |

private

Creates buttons and layouts for game page.

Definition at line 711 of file pages.cpp.

Referenced by init().

## ◆ create_load_page()

void fc_client::create_load_page | ( |  | ) |

private

Creates buttons and layouts for load page.

Definition at line 481 of file pages.cpp.

Referenced by init().

## ◆ create_loading_page()

void fc_client::create_loading_page | ( |  | ) |

private

Creates page LOADING, showing label with Loading text

Definition at line 469 of file pages.cpp.

Referenced by init().

## ◆ create_main_page()

void fc_client::create_main_page | ( | void |  | ) |

private

Creates buttons and layouts for start page.

Definition at line 136 of file pages.cpp.

Referenced by init().

## ◆ create_network_page()

void fc_client::create_network_page | ( | void |  | ) |

private

Creates buttons and layouts for network page.

Definition at line 289 of file pages.cpp.

Referenced by init().

## ◆ create_scenario_page()

void fc_client::create_scenario_page | ( |  | ) |

private

Creates buttons and layouts for scenario page.

Definition at line 560 of file pages.cpp.

Referenced by init().

## ◆ create_start_page()

void fc_client::create_start_page | ( |  | ) |

private

Creates buttons and layouts for start page.

Definition at line 627 of file pages.cpp.

Referenced by init().

## ◆ current_page()

enum client_pages fc_client::current_page | ( |  | ) |

Returns currently open page

Definition at line 441 of file fc_client.cpp.

Referenced by slot_selection_changed(), update_info_label(), and update_sidebar_tooltips().

## ◆ delete_cursors()

void fc_client::delete_cursors | ( | void |  | ) |

private

Definition at line 581 of file fc_client.cpp.

Referenced by ~fc_client().

## ◆ destroy_server_scans()

void fc_client::destroy_server_scans | ( | void |  | ) |

private

Free the server scans.

Definition at line 982 of file pages.cpp.

Referenced by handle_authentication_req(), switch_page(), and update_network_lists().

## ◆ event()

bool fc_client::event | ( | QEvent * | event | ) |

Event handler

Definition at line 468 of file fc_client.cpp.

## ◆ fc_main()

void fc_client::fc_main | ( | QApplication * | qapp | ) |

Main part of gui-qt. This is not called simply 'fc_client::main()', since SDL includes would sometimes cause 'main' to be considered an macro that expands to 'SDL_main'

Definition at line 260 of file fc_client.cpp.

Referenced by qtg_ui_main().

## ◆ get_diplo_dialog()

choice_dialog * fc_client::get_diplo_dialog | ( |  | ) |

Get current diplo dialog

Definition at line 4740 of file dialogs.cpp.

## ◆ gimme_index_of()

int fc_client::gimme_index_of | ( | QString | str | ) |

Returns index on game tab page of given report dialog

Definition at line 632 of file fc_client.cpp.

## ◆ gimme_place()

void fc_client::gimme_place | ( | QWidget * | widget,
|  | QString | str
| ) |  |

Finds not used index on game_view_tab and returns it

Definition at line 597 of file fc_client.cpp.

## ◆ handle_authentication_req()

void fc_client::handle_authentication_req | ( | enum authentication_type | type,
|  | const char * | message
| ) |  |

Configure the dialog depending on what type of authentication request the server is making.

Definition at line 1567 of file pages.cpp.

## ◆ init()

void fc_client::init | ( |  | ) |

private

Initializes layouts for all pages

Definition at line 153 of file fc_client.cpp.

Referenced by fc_client().

## ◆ is_closing()

bool fc_client::is_closing | ( |  | ) |

Returns status if fc_client is being closed

Definition at line 282 of file fc_client.cpp.

Referenced by remove_repo_dlg().

## ◆ is_repo_dlg_open()

bool fc_client::is_repo_dlg_open | ( | QString | str | ) |

Checks if given report is opened, if you create new report as tab on game page, figure out some original string and put in in repodlg.h as comment to that QWidget class.

Definition at line 616 of file fc_client.cpp.

## ◆ keyCaught

void fc_client::keyCaught | ( | QKeyEvent * | e | ) |

signal

## ◆ popdown_tile_info()

void fc_client::popdown_tile_info | ( |  | ) |

Popdowns information label tile

Definition at line 577 of file mapctrl.cpp.

Referenced by popup_tile_info().

## ◆ popdown_unit_sel()

void fc_client::popdown_unit_sel | ( |  | ) |

Closes unit selection widget.

Definition at line 859 of file fc_client.cpp.

## ◆ popup_client_options

void fc_client::popup_client_options | ( |  | ) |

slot

Popups client options

Definition at line 882 of file fc_client.cpp.

Referenced by create_main_page().

## ◆ popup_tile_info()

void fc_client::popup_tile_info | ( | struct tile * | ptile | ) |

Popups information label tile

Definition at line 552 of file mapctrl.cpp.

## ◆ quit

void fc_client::quit | ( |  | ) |

slot

Quit App

Definition at line 525 of file fc_client.cpp.

Referenced by create_main_page().

## ◆ read_settings()

void fc_client::read_settings | ( |  | ) |

private

Loads qt-specific options

Definition at line 649 of file fc_client.cpp.

Referenced by init().

## ◆ reload_sidebar_icons()

void fc_client::reload_sidebar_icons | ( |  | ) |

Reloads sidebar icons (useful on theme change)

Definition at line 2110 of file pages.cpp.

## ◆ remove_repo_dlg()

void fc_client::remove_repo_dlg | ( | QString | str | ) |

Removes report dialog string from the list marking it as closed

Definition at line 871 of file fc_client.cpp.

## ◆ remove_server_source()

void fc_client::remove_server_source | ( |  | ) |

Removes notifier

Definition at line 494 of file fc_client.cpp.

Referenced by qtg_remove_net_input().

## ◆ rm_game_tab()

void fc_client::rm_game_tab | ( | int | index | ) |

Removes given tab widget from game page

Definition at line 809 of file pages.cpp.

## ◆ send_fake_chat_message

void fc_client::send_fake_chat_message | ( | const QString & | message | ) |

privateslot

Slot to send fake chat messages. Do not use in new code.

Definition at line 298 of file fc_client.cpp.

Referenced by start_page_menu().

## ◆ server_input

void fc_client::server_input | ( | int | sock | ) |

privateslot

There is input from server

Definition at line 502 of file fc_client.cpp.

Referenced by add_server_source().

## ◆ set_connection_state()

void fc_client::set_connection_state | ( | enum connection_state | state | ) |

private

Update network page connection state.

Definition at line 252 of file pages.cpp.

Referenced by handle_authentication_req(), slot_connect(), and switch_page().

## ◆ set_diplo_dialog()

void fc_client::set_diplo_dialog | ( | choice_dialog * | widget | ) |

Set current diplo dialog

Definition at line 4732 of file dialogs.cpp.

## ◆ set_status_bar()

void fc_client::set_status_bar | ( | QString | message,
|  | int | timeout = `2000`
| ) |  |

Sets application status bar for given time in miliseconds

Definition at line 437 of file pages.cpp.

Referenced by event(), handle_authentication_req(), init(), set_connection_state(), and slot_connect().

## ◆ slot_connect

void fc_client::slot_connect | ( |  | ) |

privateslot

If on the network page, switch page to the login page (with new server and port). if on the login page, send connect and/or authentication requests to the server.

Definition at line 1605 of file pages.cpp.

Referenced by create_network_page().

## ◆ slot_disconnect

void fc_client::slot_disconnect | ( |  | ) |

privateslot

Disconnect from server and return to MAIN PAGE

Definition at line 537 of file fc_client.cpp.

Referenced by create_load_page(), create_scenario_page(), and create_start_page().

## ◆ slot_lan_scan

void fc_client::slot_lan_scan | ( |  | ) |

privateslot

Executes lan scan network

Definition at line 1065 of file pages.cpp.

Referenced by update_network_lists().

## ◆ slot_meta_scan

void fc_client::slot_meta_scan | ( |  | ) |

privateslot

Executes metaserver scan network

Definition at line 1076 of file pages.cpp.

Referenced by update_network_lists().

## ◆ slot_pick_nation

void fc_client::slot_pick_nation | ( |  | ) |

privateslot

Calls dialog selecting nations

Definition at line 2102 of file pages.cpp.

Referenced by create_start_page().

## ◆ slot_pregame_observe

void fc_client::slot_pregame_observe | ( |  | ) |

privateslot

User clicked Observe button in START_PAGE

Definition at line 549 of file fc_client.cpp.

Referenced by create_start_page().

## ◆ slot_pregame_start

void fc_client::slot_pregame_start | ( |  | ) |

privateslot

User clicked Start in START_PAGE

Definition at line 567 of file fc_client.cpp.

Referenced by create_start_page().

## ◆ slot_selection_changed

void fc_client::slot_selection_changed | ( | const QItemSelection & | selected,
|  | const QItemSelection & | deselected
| ) |  |

protectedslot

Selection changed in some tableview on some page

Definition at line 1136 of file pages.cpp.

Referenced by create_load_page(), create_network_page(), and create_scenario_page().

## ◆ start_from_save

void fc_client::start_from_save | ( |  | ) |

privateslot

Starts game from chosen save - chosen_file (save or scenario)

Definition at line 1118 of file pages.cpp.

Referenced by browse_saves(), and create_load_page().

## ◆ start_new_game

void fc_client::start_new_game | ( |  | ) |

privateslot

Spawn a server, if there isn't one, using the default settings.

Definition at line 1087 of file pages.cpp.

Referenced by create_main_page().

## ◆ start_page_menu

void fc_client::start_page_menu | ( | QPoint | pos | ) |

privateslot

Context menu on some player, arg Qpoint specifies some pixel on screen

qvar = 0 -> selected label -> do nothing qvar = 1 -> selected player (stored in qvar2)

Set AI difficulty submenu

Put to Team X submenu

Definition at line 1960 of file pages.cpp.

Referenced by create_start_page().

## ◆ start_scenario

void fc_client::start_scenario | ( |  | ) |

privateslot

Starts game from chosen scenario - chosen_file (save or scenario)

Definition at line 1100 of file pages.cpp.

Referenced by browse_scenarios(), and create_scenario_page().

## ◆ state_preview

void fc_client::state_preview | ( | int | new_state | ) |

privateslot

State of preview has been changed

Definition at line 833 of file pages.cpp.

Referenced by create_load_page().

## ◆ switch_page

void fc_client::switch_page | ( | int | new_pg | ) |

slot

Switch from one client page to another. Argument is int cause QSignalMapper doesn't want to work with enum Because chat widget is in 2 layouts we need to switch between them here (addWidget removes it from previous layout automatically)

Definition at line 338 of file fc_client.cpp.

Referenced by create_main_page(), create_network_page(), slot_disconnect(), start_from_save(), and start_scenario().

## ◆ timerEvent()

void fc_client::timerEvent | ( | QTimerEvent * | event | ) |

protected

Timer event handling

Definition at line 512 of file fc_client.cpp.

## ◆ toggle_unit_sel_widget()

void fc_client::toggle_unit_sel_widget | ( | struct tile * | ptile | ) |

Shows/closes unit selection widget

Definition at line 831 of file fc_client.cpp.

## ◆ update_buttons()

void fc_client::update_buttons | ( |  | ) |

private

Updates observe button in case user started observing manually

Definition at line 1893 of file pages.cpp.

Referenced by update_start_page().

## ◆ update_fonts()

void fc_client::update_fonts | ( |  | ) |

Refresh fonts

Definition at line 460 of file fc_client.cpp.

Referenced by apply_font().

## ◆ update_info_label

void fc_client::update_info_label | ( | void |  | ) |

slot

Real update, updates only once per 300 ms.

Definition at line 993 of file mapview.cpp.

Referenced by switch_page(), and update_info_label().

## ◆ update_load_page()

void fc_client::update_load_page | ( | void |  | ) |

private

Updates saves to load and updates in tableview = saves_load

Definition at line 1398 of file pages.cpp.

Referenced by switch_page().

## ◆ update_network_lists

void fc_client::update_network_lists | ( | void |  | ) |

privateslot

Stop and restart the metaserver and lan server scans.

Definition at line 1012 of file pages.cpp.

Referenced by create_network_page(), and switch_page().

## ◆ update_scenarios_page()

void fc_client::update_scenarios_page | ( | void |  | ) |

private

Gets scenarios list and updates it in TableWidget = scenarios_load

Definition at line 1429 of file pages.cpp.

Referenced by switch_page().

## ◆ update_server_list()

void fc_client::update_server_list | ( | enum server_scan_type | sstype,
|  | const struct server_list * | list
| ) |  |

private

Updates list of servers in network page in proper QTableViews

Definition at line 868 of file pages.cpp.

Referenced by check_server_scan().

## ◆ update_sidebar_position()

void fc_client::update_sidebar_position | ( |  | ) |

Update position

Definition at line 2295 of file pages.cpp.

Referenced by apply_sidebar().

## ◆ update_sidebar_tooltips()

void fc_client::update_sidebar_tooltips | ( |  | ) |

Updates sidebar tooltips

Definition at line 2125 of file pages.cpp.

Referenced by fc_game_tab_widget::resizeEvent(), switch_page(), and update_info_label().

## ◆ update_start_page()

void fc_client::update_start_page | ( |  | ) |

Updates start page (start page = client connected to server, but game not started)

Inserts playing players, observing custom players, and AI)

find any custom observers

Insert global observers

Insert detached

Definition at line 1662 of file pages.cpp.

Referenced by qtg_real_conn_list_dialog_update().

## ◆ update_unit_sel()

void fc_client::update_unit_sel | ( |  | ) |

Update unit selection widget if open

Definition at line 847 of file fc_client.cpp.

## ◆ write_settings()

void fc_client::write_settings | ( |  | ) |

Save qt-specific options

Definition at line 794 of file fc_client.cpp.

Referenced by popup_quit_dialog().

## Field Documentation

## ◆ battlelog_wdg

hud_battle_log* fc_client::battlelog_wdg

Definition at line 272 of file fc_client.h.

Referenced by create_game_page(), fc_client(), and fc_game_tab_widget::resizeEvent().

## ◆ button

QPushButton* fc_client::button

private

Definition at line 194 of file fc_client.h.

Referenced by create_main_page(), and fc_client().

## ◆ button_box

QDialogButtonBox* fc_client::button_box

private

Definition at line 199 of file fc_client.h.

Referenced by fc_client().

## ◆ central_layout

QStackedLayout* fc_client::central_layout

private

Definition at line 179 of file fc_client.h.

Referenced by fc_client(), init(), and switch_page().

## ◆ central_wdg

QWidget* fc_client::central_wdg

Definition at line 256 of file fc_client.h.

Referenced by browse_saves(), browse_scenarios(), fc_client(), init(), show_tileset_error(), and switch_page().

## ◆ chat_line

chat_input* fc_client::chat_line

private

Definition at line 203 of file fc_client.h.

Referenced by create_start_page(), and fc_client().

## ◆ connect_confirm_password_edit

QLineEdit* fc_client::connect_confirm_password_edit

private

Definition at line 192 of file fc_client.h.

Referenced by create_network_page(), fc_client(), set_connection_state(), slot_connect(), and switch_page().

## ◆ connect_host_edit

QLineEdit* fc_client::connect_host_edit

private

Definition at line 188 of file fc_client.h.

Referenced by create_network_page(), fc_client(), slot_connect(), slot_selection_changed(), switch_page(), and update_server_list().

## ◆ connect_lan

QWidget* fc_client::connect_lan

private

Definition at line 174 of file fc_client.h.

Referenced by create_network_page(), and fc_client().

## ◆ connect_login_edit

QLineEdit* fc_client::connect_login_edit

private

Definition at line 190 of file fc_client.h.

Referenced by create_network_page(), fc_client(), slot_connect(), and switch_page().

## ◆ connect_metaserver

QWidget* fc_client::connect_metaserver

private

Definition at line 175 of file fc_client.h.

Referenced by create_network_page(), and fc_client().

## ◆ connect_password_edit

QLineEdit* fc_client::connect_password_edit

private

Definition at line 191 of file fc_client.h.

Referenced by create_network_page(), fc_client(), set_connection_state(), slot_connect(), and switch_page().

## ◆ connect_port_edit

QLineEdit* fc_client::connect_port_edit

private

Definition at line 189 of file fc_client.h.

Referenced by create_network_page(), fc_client(), slot_connect(), slot_selection_changed(), switch_page(), and update_server_list().

## ◆ corner_wid

fc_corner* fc_client::corner_wid

Definition at line 258 of file fc_client.h.

Referenced by apply_titlebar(), and init().

## ◆ current_file

QString fc_client::current_file

private

Definition at line 352 of file fc_client.h.

Referenced by browse_saves(), browse_scenarios(), fc_client(), slot_selection_changed(), start_from_save(), start_scenario(), and switch_page().

## ◆ fc_cursors

QCursor* fc_client::fc_cursors[CURSOR_LAST][NUM_CURSOR_FRAMES]

Definition at line 266 of file fc_client.h.

Referenced by create_cursors(), and delete_cursors().

## ◆ game_main_widget

QWidget* fc_client::game_main_widget

private

Definition at line 176 of file fc_client.h.

Referenced by create_game_page().

## ◆ game_tab_widget

fc_game_tab_widget* fc_client::game_tab_widget

Definition at line 259 of file fc_client.h.

Referenced by add_game_tab(), apply_fullscreen(), create_game_page(), fc_client(), gimme_index_of(), init(), reload_sidebar_icons(), and rm_game_tab().

## ◆ gtd

goto_dialog* fc_client::gtd

Definition at line 265 of file fc_client.h.

Referenced by create_game_page(), fc_client(), and qtg_real_focus_units_changed().

## ◆ info_tile_wdg

info_tile* fc_client::info_tile_wdg

private

Definition at line 218 of file fc_client.h.

Referenced by fc_client(), popdown_tile_info(), and popup_tile_info().

## ◆ info_widget

QTableWidget* fc_client::info_widget

private

Definition at line 207 of file fc_client.h.

Referenced by create_network_page(), fc_client(), and slot_selection_changed().

## ◆ infotab

info_tab* fc_client::infotab

Definition at line 261 of file fc_client.h.

Referenced by apply_font(), create_game_page(), fc_client(), fc_game_tab_widget::resizeEvent(), and switch_page().

## ◆ interface_locked

bool fc_client::interface_locked

Definition at line 273 of file fc_client.h.

Referenced by fc_client().

## ◆ lan_scan_timer

QTimer* fc_client::lan_scan_timer

private

Definition at line 213 of file fc_client.h.

Referenced by destroy_server_scans(), fc_client(), slot_lan_scan(), and update_network_lists().

## ◆ lan_widget

QTableWidget* fc_client::lan_widget

private

Definition at line 205 of file fc_client.h.

Referenced by create_network_page(), fc_client(), slot_selection_changed(), and update_server_list().

## ◆ load_pix

QLabel* fc_client::load_pix

private

Definition at line 185 of file fc_client.h.

Referenced by create_load_page(), and slot_selection_changed().

## ◆ load_save_text

QLabel* fc_client::load_save_text

private

Definition at line 184 of file fc_client.h.

Referenced by create_load_page(), and slot_selection_changed().

## ◆ main_wdg

QWidget* fc_client::main_wdg

private

Definition at line 172 of file fc_client.h.

Referenced by fc_client().

## ◆ map_font_scale

bool fc_client::map_font_scale

Definition at line 280 of file fc_client.h.

Referenced by fc_client().

## ◆ map_scale

float fc_client::map_scale

Definition at line 279 of file fc_client.h.

Referenced by fc_client().

## ◆ mapview_wdg

map_view* fc_client::mapview_wdg

Definition at line 230 of file fc_client.h.

Referenced by create_game_page(), fc_game_tab_widget::current_changed(), fc_client(), popup_tile_info(), fc_game_tab_widget::resizeEvent(), switch_page(), and toggle_unit_sel_widget().

## ◆ menu_bar

mr_menu* fc_client::menu_bar

Definition at line 257 of file fc_client.h.

Referenced by apply_titlebar(), fc_client(), and init().

## ◆ meta_scan_timer

QTimer* fc_client::meta_scan_timer

private

Definition at line 212 of file fc_client.h.

Referenced by destroy_server_scans(), fc_client(), slot_meta_scan(), and update_network_lists().

## ◆ minimapview_wdg

minimap_view* fc_client::minimapview_wdg

Definition at line 232 of file fc_client.h.

Referenced by create_game_page(), fc_game_tab_widget::resizeEvent(), and switch_page().

## ◆ mr_idler

mr_idle fc_client::mr_idler

Definition at line 255 of file fc_client.h.

Referenced by qtg_add_idle_callback().

## ◆ msgwdg

messagewdg* fc_client::msgwdg

Definition at line 260 of file fc_client.h.

Referenced by fc_client().

## ◆ nation_button

QPushButton* fc_client::nation_button

private

Definition at line 197 of file fc_client.h.

Referenced by create_start_page(), and update_buttons().

## ◆ obs_button

QPushButton* fc_client::obs_button

private

Definition at line 195 of file fc_client.h.

Referenced by create_start_page(), slot_pregame_observe(), and update_buttons().

## ◆ opened_dialog

choice_dialog* fc_client::opened_dialog

private

Definition at line 219 of file fc_client.h.

Referenced by fc_client(), get_diplo_dialog(), and set_diplo_dialog().

## ◆ opened_repo_dlgs

QMap<QString, QWidget *> fc_client::opened_repo_dlgs

private

Definition at line 350 of file fc_client.h.

Referenced by gimme_index_of(), gimme_place(), is_repo_dlg_open(), and remove_repo_dlg().

## ◆ output_window

QTextEdit* fc_client::output_window

private

Definition at line 181 of file fc_client.h.

Referenced by chat_message_received(), create_start_page(), and fc_client().

## ◆ page

enum client_pages fc_client::page

private

Definition at line 349 of file fc_client.h.

Referenced by current_page(), init(), and switch_page().

## ◆ page_submenu_AI

QMenu* fc_client::page_submenu_AI

Definition at line 281 of file fc_client.h.

Referenced by start_page_menu().

## ◆ page_submenu_team

QMenu* fc_client::page_submenu_team

Definition at line 282 of file fc_client.h.

Referenced by start_page_menu().

## ◆ pages

QWidget* fc_client::pages[(int) PAGE_GAME+2]

private

Definition at line 173 of file fc_client.h.

Referenced by fc_client(), init(), and switch_page().

## ◆ pages_layout

QGridLayout* fc_client::pages_layout[PAGE_GAME+2]

private

Definition at line 178 of file fc_client.h.

Referenced by create_game_page(), create_load_page(), create_loading_page(), create_main_page(), create_network_page(), create_scenario_page(), create_start_page(), fc_client(), init(), and update_sidebar_position().

## ◆ pr_options

pregame_options* fc_client::pr_options

Definition at line 267 of file fc_client.h.

Referenced by create_start_page(), update_buttons(), and update_start_page().

## ◆ pre_vote

pregamevote* fc_client::pre_vote

Definition at line 262 of file fc_client.h.

Referenced by create_start_page(), fc_client(), and switch_page().

## ◆ qt_settings

fc_settings fc_client::qt_settings

Definition at line 268 of file fc_client.h.

Referenced by read_settings(), and write_settings().

## ◆ quitting

bool fc_client::quitting

private

Definition at line 354 of file fc_client.h.

Referenced by closing(), fc_client(), and is_closing().

## ◆ rallies

qfc_rally_list fc_client::rallies

Definition at line 270 of file fc_client.h.

## ◆ saves_load

QTableWidget* fc_client::saves_load

private

Definition at line 208 of file fc_client.h.

Referenced by create_load_page(), fc_client(), state_preview(), and update_load_page().

## ◆ scenarios_load

QTableWidget* fc_client::scenarios_load

private

Definition at line 209 of file fc_client.h.

Referenced by create_scenario_page(), fc_client(), and update_scenarios_page().

## ◆ scenarios_text

QLabel* fc_client::scenarios_text

private

Definition at line 183 of file fc_client.h.

Referenced by create_scenario_page(), slot_selection_changed(), and update_scenarios_page().

## ◆ scenarios_view

QTextEdit* fc_client::scenarios_view

private

Definition at line 182 of file fc_client.h.

Referenced by create_scenario_page(), fc_client(), slot_selection_changed(), and update_scenarios_page().

## ◆ send_new_aifill_to_server

bool fc_client::send_new_aifill_to_server

private

Definition at line 353 of file fc_client.h.

## ◆ server_notifier

QSocketNotifier* fc_client::server_notifier

private

Definition at line 201 of file fc_client.h.

Referenced by add_server_source(), fc_client(), remove_server_source(), and server_input().

## ◆ show_preview

QCheckBox* fc_client::show_preview

private

Definition at line 186 of file fc_client.h.

Referenced by create_load_page(), slot_selection_changed(), state_preview(), and update_load_page().

## ◆ sidebar_wdg

fc_sidebar* fc_client::sidebar_wdg

Definition at line 231 of file fc_client.h.

Referenced by create_game_page(), fc_game_tab_widget::current_changed(), fc_client(), reload_sidebar_icons(), fc_game_tab_widget::resizeEvent(), update_fonts(), and update_sidebar_position().

## ◆ start_button

QPushButton* fc_client::start_button

private

Definition at line 196 of file fc_client.h.

Referenced by create_start_page(), and update_buttons().

## ◆ start_players_tree

QTreeWidget* fc_client::start_players_tree

private

Definition at line 210 of file fc_client.h.

Referenced by create_start_page(), fc_client(), start_page_menu(), and update_start_page().

## ◆ status_bar

QStatusBar* fc_client::status_bar

private

Definition at line 216 of file fc_client.h.

Referenced by fc_client(), init(), and switch_page().

## ◆ status_bar_label

QLabel* fc_client::status_bar_label

private

Definition at line 217 of file fc_client.h.

Referenced by clear_status_bar(), fc_client(), init(), and set_status_bar().

## ◆ status_bar_queue

QStringList fc_client::status_bar_queue

private

Definition at line 351 of file fc_client.h.

Referenced by clear_status_bar(), fc_client(), set_status_bar(), and ~fc_client().

## ◆ sw_cities

fc_sidewidget* fc_client::sw_cities

private

Definition at line 221 of file fc_client.h.

Referenced by create_game_page(), reload_sidebar_icons(), and update_sidebar_tooltips().

## ◆ sw_cunit

fc_sidewidget* fc_client::sw_cunit

Definition at line 274 of file fc_client.h.

Referenced by create_game_page(), and reload_sidebar_icons().

## ◆ sw_diplo

fc_sidewidget* fc_client::sw_diplo

Definition at line 278 of file fc_client.h.

Referenced by create_game_page(), and reload_sidebar_icons().

## ◆ sw_economy

fc_sidewidget* fc_client::sw_economy

private

Definition at line 223 of file fc_client.h.

Referenced by create_game_page(), reload_sidebar_icons(), update_info_label(), and update_sidebar_tooltips().

## ◆ sw_endturn

fc_sidewidget* fc_client::sw_endturn

Definition at line 276 of file fc_client.h.

Referenced by create_game_page(), and reload_sidebar_icons().

## ◆ sw_indicators

fc_sidewidget* fc_client::sw_indicators

Definition at line 277 of file fc_client.h.

Referenced by create_game_page(), and update_sidebar_tooltips().

## ◆ sw_map

fc_sidewidget* fc_client::sw_map

private

Definition at line 220 of file fc_client.h.

Referenced by create_game_page(), reload_sidebar_icons(), update_info_label(), and update_sidebar_tooltips().

## ◆ sw_science

fc_sidewidget* fc_client::sw_science

Definition at line 275 of file fc_client.h.

Referenced by create_game_page(), reload_sidebar_icons(), and update_sidebar_tooltips().

## ◆ sw_tax

fc_sidewidget* fc_client::sw_tax

private

Definition at line 222 of file fc_client.h.

Referenced by create_game_page(), update_info_label(), and update_sidebar_tooltips().

## ◆ trade_gen

trade_generator fc_client::trade_gen

Definition at line 269 of file fc_client.h.

## ◆ unit_sel

units_select* fc_client::unit_sel

Definition at line 263 of file fc_client.h.

Referenced by fc_client(), popdown_unit_sel(), qtg_real_focus_units_changed(), toggle_unit_sel_widget(), and update_unit_sel().

## ◆ unitinfo_wdg

hud_units* fc_client::unitinfo_wdg

Definition at line 271 of file fc_client.h.

Referenced by create_game_page(), fc_client(), and fc_game_tab_widget::resizeEvent().

## ◆ update_info_timer

QTimer* fc_client::update_info_timer

private

Definition at line 214 of file fc_client.h.

Referenced by fc_client(), and update_info_label().

## ◆ wan_widget

QTableWidget* fc_client::wan_widget

private

Definition at line 206 of file fc_client.h.

Referenced by create_network_page(), fc_client(), slot_selection_changed(), and update_server_list().

## ◆ x_vote

xvote* fc_client::x_vote

Definition at line 264 of file fc_client.h.

Referenced by create_game_page(), fc_client(), and fc_game_tab_widget::resizeEvent().